Search Issue Tracker

44
votes
Fixed

Unity purchasing gives error on project upgrade due to failing to find U...

Package: Purchasing

-

Oct 24, 2019

-

Version/s: 2019.2, 2019.3, 2019.3.0b8, 2019.4, 2020.1, 2020.2

Steps to reproduce: The easiest way to reproduce this error is to do an upgrade from one version to another, so, to reproduce 1. Op... Read more

14
votes
Fixed

"Could not load file or assembly 'UnityEngine.Purchasing'" error after r...

Package: Purchasing

-

Sep 02, 2020

-

Version/s: 2.1.0

Steps to reproduce: 1. Create new project 2. In services window, enable IAP 3. Import store package and go through installation ste... Read more

0
votes
Fixed

Editor manifest hasn't been updated to include the latest 2.0.x IAP Package

Package: Purchasing

-

Aug 30, 2018

-

Version/s: 2.0.1

The current manifest for 2018.3 contains IAP package version 2.0.1, which is not the latest 2.0.x release. This means that when you ... Read more

0
votes
Active

[IAP] Promoted purchases trigger twice

Package: Purchasing

-

Sep 14, 2018

-

Version/s: 2.0.1

To reproduce: 1. Open attached project 2. Build for iOS 3. Deploy the project to an iOS device 4. Press the Home button to put the a... Read more

0
votes
Fixed

[Package Manager] In App Purchasing package disappears from Package list...

Package: Purchasing

-

Mar 01, 2019

-

Version/s: 2.0.6

In App Purchasing package disappears from Package list on Update to 2.0.6 Steps to repro: 1. Create a new project 2. Window > Packa... Read more

9
votes
Fixed

UNITY_PURCHASING define becomes disabled when recompiling assemblies

Package: Purchasing

-

Mar 13, 2019

-

Version/s: 2018.3.0a1, 2018.3.8f1, 2019.1.0a1, 2019.2.0a1

Steps to reproduce: 1. Open User-supplied project ("Change IAP setting from code.zip") 2. Enable IAP in Services 3. Press Commands (... Read more

8
votes
Fixed

DLL Errors in IAP occur when upgrading project to 2019.2 or 2019.3

Package: Purchasing

-

May 07, 2019

-

Version/s: 2.0.6

When opening a project that has the IAP tools imported in 2019.2.0b1, there are a lot of DLL errors. These errors prevents the user ... Read more

5
votes
Fixed

Upgrading a project that has IAP tools in it to 2019.2 results in an inf...

Package: Purchasing

-

May 08, 2019

-

Version/s: 2.0.6 (1.22)

If you have a project made with an older Unity version (like 19.2 or 19.3) that has the Unity IAP package imported in it, and you up... Read more

5
votes
Fixed

IAP asset store package references missing assemblies

Package: Purchasing

-

Jun 14, 2019

-

Version/s: 2019.2, 2019.2.0b6

Steps to reproduce: 1. Open attached project 2. Make sure IAP is set up 3. Reimport All and notice two errors regarding Stores.dll ... Read more

0
votes
Fixed

[IAP] Silent crash when installing the IAP package

Package: Purchasing

-

Jul 22, 2019

-

Version/s: 2.0.6

When attempting to install the IAP package, my project crashes and every time i try to open the project afterwards it will crash aga... Read more

All about bugs

View bugs we have successfully reproduced, and vote for the bugs you want to see fixed most urgently.